Subject: bug#43058: 27.1; Support for other colour font formats

From: Eli Zaretskii <[email-masked]>
Date: Sun, 25 Sep 2022 11:03:22 +0300

> Date: Sun, 25 Sep 2022 15:40:59 +0900
> From: YAMAMOTO Mitsuharu <[email-masked]>
> Cc: [email-masked], [email-masked]
> 
> > Does this mean the patch, if installed, will not reject the font, but
> > will also not display its glyphs?
> 
> Yes.
> 
> > If so, doesn't it mean we should install this patch conditioned on
> > some (future) Cairo version, where these glyphs will be displayed?
> > As long as Cairo doesn't support that, I think rejecting these fonts
> > is the best we can do, right?
> 
> In principle, some other fonts whose formats can be handled by the
> current Emacs and cairo might have been inadvertently rejected
> (althogh I don't have any concrete examples).
> 
> Also, the latest version of OpenMoji Color no longer has the average
> width problem.  So, it is not rejected even without the patch, and its
> glyphs are not displayed on the current Emacs and cairo anyway.

OK, thanks.  I think on balance this means we should install this, so
please push to the master branch.